Subject: Re: bug#55707: syslogd logging kernel messages slowly?

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Jun 2022 22:50:18 +0200

Hi,

Luis Felipe <[email-masked]> skribis:

> It turns out the problem is related to user services. I just disabled my user services, rebooted, and GNOME session started.

OK.

> I only have one user service defined in ~/.config/shepherd/init.scm as follows

[...]

> And I call "shepherd" in the ~/.profile file. This never posed a problem until my recent system generations from April to date, though, where I was never able to start a GNOME session. So I wonder what's going on now...
>
> For what it's worth, the only error I see in ~/.config/shepherd/shepherd.log is this
>
> 2022-04-07 11:01:57 system-error("getpgid" "~A" ("No existe el proceso") (3))
>
> "No existe el proceso" meaning, "The process doesn't exist". This error has occurred several times since 2021, though.

Hmm OK.  I’m not sure what’s going on; are you sure ‘rygel’ is in $PATH
when shepherd starts?

Anyway, this looks like “not-a-bug” from the perspective of Guix.
WDYT?

BTW, I’d encourage you to write a service for Guix Home for Rygel and to
use Guix Home (*then* if you have problems that’ll be a bug from the
perspective of Guix :-)).

Thanks,
Ludo’.